## konsole 16.12.3

=== debian/changelog ===
konsole (4:16.12.3-0ubuntu1) zesty; urgency=low

  [ Darin Miller ]
  * New upstream release (16.12.2)
  * Drop upstream applied patch.

  [ José Manuel Santamaría Lema ]
  * New upstream release (16.12.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 10 Mar 2017 21:29:26 +0000

konsole (4:16.12.1-0ubuntu2) zesty; urgency=medium

  * Add upstream-fix-build.patch. Can be dropped in 16.12.2

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 16 Feb 2017 19:24:33 +0000

konsole (4:16.12.1-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://

  [ Clive Johnston ]
  * Fixing lintian-overrides

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * Update build deps to use new KF5 style names
  * New upstream release (16.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 19 Jan 2017 16:18:18 +0000

=== debian/control ===
Source: konsole
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               kinit-dev (>= 5.31.0~),
               libkf5bookmarks-dev (>= 5.31.0~),
               libkf5completion-dev (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5configwidgets-dev (>= 5.31.0~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5doctools-dev (>= 5.31.0~),
               libkf5guiaddons-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5kdelibs4support-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5notifications-dev (>= 5.31.0~),
               libkf5notifyconfig-dev (>= 5.31.0~),
               libkf5parts-dev (>= 5.31.0~),
               libkf5pty-dev (>= 5.31.0~),
               libkf5service-dev (>= 5.31.0~),
               libkf5textwidgets-dev (>= 5.31.0~),
               libkf5widgetsaddons-dev (>= 5.31.0~),
               libkf5windowsystem-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               libx11-dev,
               pkg-kde-tools (>= 0.15.16~),
               qtbase5-dev (>= 5.6.1~),
               qtscript5-dev (>= 5.6.1~)
Standards-Version: 3.9.6
Homepage: http://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/konsole
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/konsole

Package: konsole
Architecture: any
Depends: konsole-kpart (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Provides: x-terminal-emulator
Description: X terminal emulator
 Konsole is a terminal emulator built on the KDE Platform. It can contain
 multiple terminal sessions inside one window using detachable tabs.
 .
 Konsole supports powerful terminal features, such as customizable schemes,
 saved sessions, and output monitoring.

Package: konsole-kpart
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Konsole plugin for Qt applications
 Konsole is a terminal emulator built on the KDE Platform. It can contain
 multiple terminal sessions inside one window using detachable tabs.
 .
 Konsole supports powerful terminal features, such as customizable schemes,
 saved sessions, and output monitoring.
 .
 This package provides the kpart needed by other appss to embedd konsole in
 them.

## konsole 17.04.3

=== debian/changelog ===
konsole (4:17.04.3-0ubuntu1) artful; urgency=low

  * New upstream release (17.04.1)
  * Install traslations and add Breaks/Replaces against kde-l10n
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 18 Aug 2017 08:33:44 +0100

konsole (4:16.12.1-0ubuntu3) UNRELEASED; urgency=medium

  * Drop upstream-fix-build.patch as it is applied upstream

 -- Clive Johnston <clivejo@kubuntu.org>  Thu, 16 Feb 2017 20:12:08 +0000

=== debian/control ===
--- 
+++ 
@@ -43,6 +43,8 @@
 Depends: konsole-kpart (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
+Breaks: ${kde-l10n:all}
+Replaces: ${kde-l10n:all}
 Provides: x-terminal-emulator
 Description: X terminal emulator
  Konsole is a terminal emulator built on the KDE Platform. It can contain

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:17.03.90-0~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_auto_configure:
	$(overridden_command)

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

override_dh_strip:
	$(overridden_command) --ddeb-migration='konsole-dbg (<= 4:15.12.1-1~~)'

## konsole 17.12.3

=== src/autotests/CMakeLists.txt ===
include(ECMMarkAsTest)
include(ECMMarkNonGuiExecutable)

set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR})

set(KONSOLE_TEST_LIBS Qt5::Test konsoleprivate)

add_executable(CharacterColorTest CharacterColorTest.cpp)
ecm_mark_as_test(CharacterColorTest)
ecm_mark_nongui_executable(CharacterColorTest)
add_test(CharacterColorTest CharacterColorTest)
target_link_libraries(CharacterColorTest ${KONSOLE_TEST_LIBS})

add_executable(CharacterWidthTest CharacterWidthTest.cpp)
ecm_mark_as_test(CharacterWidthTest)
ecm_mark_nongui_executable(CharacterWidthTest)
add_test(CharacterWidthTest CharacterWidthTest)
target_link_libraries(CharacterWidthTest ${KONSOLE_TEST_LIBS})


if (NOT ${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
    add_executable(DBusTest DBusTest.cpp)
    ecm_mark_as_test(DBusTest)
    add_test(DBusTest DBusTest)
    target_link_libraries(DBusTest ${KONSOLE_TEST_LIBS} Qt5::DBus)
endif()

add_executable(HistoryTest HistoryTest.cpp)
ecm_mark_as_test(HistoryTest)
ecm_mark_nongui_executable(HistoryTest)
add_test(HistoryTest HistoryTest)
target_link_libraries(HistoryTest ${KONSOLE_TEST_LIBS} KF5::Parts)

add_executable(KeyboardTranslatorTest KeyboardTranslatorTest.cpp)
ecm_mark_as_test(KeyboardTranslatorTest)
ecm_mark_nongui_executable(KeyboardTranslatorTest)
add_test(KeyboardTranslatorTest KeyboardTranslatorTest)
target_link_libraries(KeyboardTranslatorTest ${KONSOLE_TEST_LIBS})

if (NOT ${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
    add_executable(PartTest PartTest.cpp)
    ecm_mark_as_test(PartTest)
    add_test(PartTest PartTest)
    target_link_libraries(PartTest KF5::XmlGui KF5::Parts KF5::Pty
                               ${KONSOLE_TEST_LIBS})
endif()

add_executable(ProfileTest ProfileTest.cpp)
ecm_mark_as_test(ProfileTest)
ecm_mark_nongui_executable(ProfileTest)
add_test(ProfileTest ProfileTest)
target_link_libraries(ProfileTest ${KONSOLE_TEST_LIBS})

add_executable(PtyTest PtyTest.cpp)
ecm_mark_as_test(PtyTest)
ecm_mark_nongui_executable(PtyTest)
add_test(PtyTest PtyTest)
target_link_libraries(PtyTest KF5::Pty ${KONSOLE_TEST_LIBS})

add_executable(SessionTest SessionTest.cpp)
ecm_mark_as_test(SessionTest)
ecm_mark_nongui_executable(SessionTest)
add_test(SessionTest SessionTest)
target_link_libraries(SessionTest ${KONSOLE_TEST_LIBS} KF5::Parts)

add_executable(ShellCommandTest ShellCommandTest.cpp)
ecm_mark_as_test(ShellCommandTest)
ecm_mark_nongui_executable(ShellCommandTest)
add_test(ShellCommandTest ShellCommandTest)
target_link_libraries(ShellCommandTest ${KONSOLE_TEST_LIBS})

add_executable(TerminalCharacterDecoderTest
               TerminalCharacterDecoderTest.cpp)
ecm_mark_as_test(TerminalCharacterDecoderTest)
ecm_mark_nongui_executable(TerminalCharacterDecoderTest)
add_test(TerminalCharacterDecoderTest TerminalCharacterDecoderTest)
target_link_libraries(TerminalCharacterDecoderTest ${KONSOLE_TEST_LIBS})

add_executable(TerminalTest TerminalTest.cpp)
ecm_mark_as_test(TerminalTest)
ecm_mark_nongui_executable(TerminalTest)
add_test(TerminalTest TerminalTest)
target_link_libraries(TerminalTest ${KONSOLE_TEST_LIBS} KF5::Parts)

add_executable(TerminalInterfaceTest TerminalInterfaceTest.cpp)
ecm_mark_as_test(TerminalInterface)
add_test(TerminalInterfaceTest TerminalInterfaceTest)
target_link_libraries(TerminalInterfaceTest
                      KF5::Parts
                      ${KONSOLE_TEST_LIBS})

=== src/tests/CMakeLists.txt ===
add_subdirectory(demo_konsolepart)

include(ECMMarkAsTest)

set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR})

set(KONSOLE_TEST_LIBS Qt5::Test konsoleprivate)

add_executable(PartManualTest PartManualTest.cpp)
ecm_mark_as_test(PartManualTest)
target_link_libraries(PartManualTest KF5::XmlGui KF5::Parts KF5::Pty
                     ${KONSOLE_TEST_LIBS})

=== src/tests/demo_konsolepart/src/CMakeLists.txt ===
set(demo_konsolepart_SRCS
    main.cpp
    demo_konsolepart.cpp
)

add_executable(demo_konsolepart ${demo_konsolepart_SRCS})

target_link_libraries(demo_konsolepart
    KF5::CoreAddons
    KF5::I18n
    KF5::Parts
    KF5::Pty
    Qt5::Widgets
    KF5::XmlGui
)

=== debian/changelog ===
konsole (4:17.12.3-1ubuntu1) bionic; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Breaks/Replaces to suit Kubuntu upload and l10n history
    - Keep our bumped minimum build deps on Frameworks and Qt
    - Kubuntu packaging VCS fields

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 14 Apr 2018 12:35:25 +0100

konsole (4:17.12.3-1) unstable; urgency=medium

  [ Pino Toscano ]
  * New upstream release.
  * Use https for Format in copyright.
  * Bump Standards-Version to 4.1.3, no changes required.
  * Update lintian overrides.

  [ Maximiliano Curia ]
  * New upstream release (17.12.3).
  * Bump to Standards-Version 4.1.4
  * Update Vcs fields
  * Add upstream patch:
    Add-support-for-ECMA-48-REP-repeating-previous-character.
    Thanks to Frank Mehnert for noting this
  * Bump debhelper build-dep and compat to 11
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Wed, 11 Apr 2018 12:49:40 +0200

konsole (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:29:40 +0000

konsole (4:17.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 22 Feb 2018 16:59:50 +0000

konsole (4:17.08.3-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * New upstream release.
  * Adjust l10npkgs_firstversion_ok to the version where kde-l10n will
    drop translations.
  * Bump Standards-Version to 4.1.1, no changes required.
  * Simplify watch file, and switch it to https.
  * Drop debian/meta/cmake-ignore, not useful.
  * Remove unused build dependencies: kdoctools-dev, kio-dev,
    libkf5kdelibs4support-dev, and qtscript5-dev
    - add libkf5doctools-dev instead
  * Bump the konsole breaks/replaces in konsole-kpart to this version.

 -- Pino Toscano <pino@debian.org>  Sat, 02 Dec 2017 14:28:38 +0100

konsole (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:08:33 +0000

konsole (4:17.08.1-1) experimental; urgency=medium

  * New upstream release (17.08.1).
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Update build-deps and deps with the info from cmake
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Tue, 12 Sep 2017 15:35:52 +0200

konsole (4:17.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Sep 2017 14:01:56 +0000

konsole (4:17.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Aug 2017 09:38:39 +0000

konsole (4:17.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Jul 2017 10:22:56 +0000

konsole (4:17.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2017 12:22:56 +0000

konsole (4:17.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 May 2017 18:22:38 +0000

konsole (4:17.04.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2017 13:05:39 +0000

konsole (4:16.12.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Mar 2017 13:49:33 +0000

konsole (4:16.12.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Feb 2017 17:01:51 +0000

konsole (4:16.12.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Jan 2017 13:21:19 +0000

konsole (4:16.12.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Dec 2016 16:29:55 +0000

konsole (4:16.08.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Nov 2016 13:54:49 +0000

konsole (4:16.08.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2016 13:40:31 +0000

konsole (4:16.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 16 Sep 2016 13:07:30 +0000

konsole (4:16.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 17 Aug 2016 11:49:39 +0000

konsole (4:16.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Jul 2016 11:37:43 +0000

konsole (4:16.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 15 Jun 2016 14:45:52 +0000

konsole (4:16.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 20 May 2016 14:20:47 +0000

konsole (4:16.04.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 09 May 2016 14:26:44 +0000

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>,
            Modestas Vainius <modax@debian.org>,
-           Maximiliano Curia <maxy@debian.org>
+           Maximiliano Curia <maxy@debian.org>,
 Build-Depends: cmake (>= 2.8.12),
-               debhelper (>= 9),
+               debhelper (>= 11),
                extra-cmake-modules (>= 5.31.0~),
                kinit-dev (>= 5.31.0~),
                libkf5bookmarks-dev (>= 5.31.0~),
@@ -14,6 +14,7 @@
                libkf5config-dev (>= 5.31.0~),
                libkf5configwidgets-dev (>= 5.31.0~),
                libkf5coreaddons-dev (>= 5.31.0~),
+               libkf5dbusaddons-dev (>= 5.31.0~),
                libkf5doctools-dev (>= 5.31.0~),
                libkf5guiaddons-dev (>= 5.31.0~),
                libkf5i18n-dev (>= 5.31.0~),
@@ -32,8 +33,7 @@
                libx11-dev,
                pkg-kde-tools (>= 0.15.16~),
                qtbase5-dev (>= 5.6.1~),
-               qtscript5-dev (>= 5.6.1~)
-Standards-Version: 3.9.6
+Standards-Version: 4.1.4
 Homepage: http://www.kde.org/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/konsole
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/konsole
@@ -42,7 +42,7 @@
 Architecture: any
 Depends: konsole-kpart (= ${binary:Version}),
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Breaks: ${kde-l10n:all}
 Replaces: ${kde-l10n:all}
 Provides: x-terminal-emulator
@@ -56,6 +56,8 @@
 Package: konsole-kpart
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: konsole (<< 4:17.12.3-1~)
+Replaces: konsole (<< 4:17.12.3-1~)
 Description: Konsole plugin for Qt applications
  Konsole is a terminal emulator built on the KDE Platform. It can contain
  multiple terminal sessions inside one window using detachable tabs.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:17.03.90-0~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

override_dh_strip:
	$(overridden_command) --dbgsym-migration='konsole-dbg (<= 4:15.12.1-1~~)'

## konsole 18.04.0

=== CMakeLists.txt ===
# Konsole project

# KDE Application Version, managed by release script
set (KDE_APPLICATIONS_VERSION_MAJOR "18")
set (KDE_APPLICATIONS_VERSION_MINOR "04")
set (KDE_APPLICATIONS_VERSION_MICRO "0")
set (KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")

# minimal requirements
cmake_minimum_required (VERSION 3.0 FATAL_ERROR)
set (QT_MIN_VERSION "5.6.0")
set (KF5_MIN_VERSION "5.6.0")

# Release script will create bugzilla versions
project(konsole VERSION ${KDE_APPLICATIONS_VERSION})

find_package(ECM 1.6.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(ECMOptionalAddSubdirectory)
include(ECMInstallIcons)
include(ECMSetupVersion)
include(ECMMarkNonGuiExecutable)
include(ECMGenerateHeaders)
include(GenerateExportHeader)
include(FeatureSummary)
include(ECMQtDeclareLoggingCategory)

ecm_setup_version(${KDE_APPLICATIONS_VERSION} VARIABLE_PREFIX KONSOLEPRIVATE
    SOVERSION ${KDE_APPLICATIONS_VERSION_MAJOR}
)
find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED
    Core
    DBus
    PrintSupport
    Widgets
)

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED
    Bookmarks Completion Config ConfigWidgets
    CoreAddons Crash GuiAddons DBusAddons
    I18n IconThemes Init KIO NewStuff NewStuffCore Notifications NotifyConfig
    Parts Pty Service TextWidgets WidgetsAddons
    WindowSystem XmlGui DBusAddons GlobalAccel
)

find_package(KF5DocTools ${KF5_MIN_VERSION})
set_package_properties(KF5DocTools PROPERTIES DESCRIPTION 
    "Tools to generate documentation"
    TYPE OPTIONAL
)

if(NOT APPLE)
    find_package(X11)
    set_package_properties(X11 PROPERTIES TYPE OPTIONAL)
endif()
set(HAVE_X11 ${X11_FOUND})

# See above includes for defaults
add_definitions(
  -DQT_STRICT_ITERATORS
  -DQT_NO_URL_CAST_FROM_STRING
  -DQT_USE_FAST_CONCATENATION
  -Wno-deprecated-declarations
)

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)

include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} )

add_subdirectory( src )
add_subdirectory( data )
add_subdirectory( desktop )
if (KF5DocTools_FOUND)
    add_subdirectory( doc/manual )
endif()

### -DKONSOLE_BUILD_FONTEMBEDDER=TRUE or -DKONSOLE_GENERATE_LINEFONT=TRUE
if(KONSOLE_BUILD_FONTEMBEDDER OR KONSOLE_GENERATE_LINEFONT)
    add_subdirectory( tools )
endif()

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)
if (KF5DocTools_FOUND)
 kdoctools_install(po)
endif()

=== data/CMakeLists.txt ===

add_subdirectory( color-schemes )
add_subdirectory( keyboard-layouts )

install( FILES konsole.knsrc DESTINATION ${CONFIG_INSTALL_DIR})

=== src/CMakeLists.txt ===
# cmake-options : -DCMAKE_DISABLE_FIND_PACKAGE_LibKonq=TRUE or FALSE; default is FALSE

add_definitions(-DTRANSLATION_DOMAIN=\"konsole\")

### Too many crashes/issues with detaching on MacOSX
IF(${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
  set(ENABLE_DETACHING 0)
else()
  set(ENABLE_DETACHING 1)
endif()

### Handle DragonFlyBSD here instead of using __DragonFly__
IF(${CMAKE_SYSTEM_NAME} MATCHES "DragonFly")
  set(HAVE_OS_DRAGONFLYBSD 1)
else()
  set(HAVE_OS_DRAGONFLYBSD 0)
endif()

include(CheckIncludeFiles)
include(ECMAddAppIcon)

configure_file(config-konsole.h.cmake
              ${CMAKE_CURRENT_BINARY_DIR}/config-konsole.h)

### Tests
if(BUILD_TESTING)
  find_package(Qt5Test ${QT_MIN_VERSION} CONFIG REQUIRED)
  add_subdirectory(autotests)
  add_subdirectory(tests)
endif()

### Security concerns about sendText and runCommand dbus methods being public
option(REMOVE_SENDTEXT_RUNCOMMAND_DBUS_METHODS "Konsole: remove sendText and runCommand dbus methods" OFF)

### Font Embedder and LineFont.h
option(KONSOLE_BUILD_FONTEMBEDDER "Konsole: build fontembedder executable" OFF)
option(KONSOLE_GENERATE_LINEFONT "Konsole: regenerate LineFont file" OFF)

### Konsole source files shared between embedded terminal and main application
# qdbuscpp2xml -m  Session.h -o org.kde.konsole.Session.xml
# qdbuscpp2xml -M -s ViewManager.h -o org.kde.konsole.Konsole.xml

# Generate dbus .xml files; do not store .xml in source folder
qt5_generate_dbus_interface(Session.h org.kde.konsole.Session.xml OPTIONS -m)
qt5_generate_dbus_interface(ViewManager.h org.kde.konsole.Window.xml OPTIONS -m)

qt5_add_dbus_adaptor(sessionadaptors_SRCS
                    ${CMAKE_CURRENT_BINARY_DIR}/org.kde.konsole.Session.xml
                    Session.h
                    Konsole::Session)
qt5_add_dbus_adaptor(windowadaptors_SRCS
                    ${CMAKE_CURRENT_BINARY_DIR}/org.kde.konsole.Window.xml
                    ViewManager.h
                    Konsole::ViewManager)

set(konsoleprivate_SRCS ${sessionadaptors_SRCS}
                        ${windowadaptors_SRCS}
                        BookmarkHandler.cpp
                        ColorScheme.cpp
                        ColorSchemeManager.cpp
                        ColorSchemeEditor.cpp
                        CopyInputDialog.cpp
                        EditProfileDialog.cpp
                        Emulation.cpp
                        Filter.cpp
                        History.cpp
                        HistorySizeDialog.cpp
                        HistorySizeWidget.cpp
                        IncrementalSearchBar.cpp
                        KeyBindingEditor.cpp
                        KeyboardTranslator.cpp
                        KeyboardTranslatorManager.cpp
                        ProcessInfo.cpp
                        Profile.cpp
                        ProfileList.cpp
                        ProfileReader.cpp
                        ProfileWriter.cpp
                        ProfileManager.cpp
                        Pty.cpp
                        RenameTabDialog.cpp
                        RenameTabWidget.cpp
                        Screen.cpp
                        ScreenWindow.cpp
                        ScrollState.cpp
                        Session.cpp
                        SessionController.cpp
                        SessionManager.cpp
                        SessionListModel.cpp
                        ShellCommand.cpp
                        TabTitleFormatButton.cpp
                        TerminalCharacterDecoder.cpp
                        ExtendedCharTable.cpp
                        TerminalDisplay.cpp
                        TerminalDisplayAccessible.cpp
                        ViewContainer.cpp
                        ViewContainerTabBar.cpp
                        ViewManager.cpp
                        ViewProperties.cpp
                        ViewSplitter.cpp
                        Vt102Emulation.cpp
                        ZModemDialog.cpp
                        PrintOptions.cpp
                        konsole_wcwidth.cpp
                        WindowSystemInfo.cpp
                        ${CMAKE_CURRENT_BINARY_DIR}/org.kde.konsole.Window.xml
                        ${CMAKE_CURRENT_BINARY_DIR}/org.kde.konsole.Session.xml)

ecm_qt_declare_logging_category(konsoleprivate_SRCS HEADER konsoledebug.h IDENTIFIER KonsoleDebug CATEGORY_NAME org.kde.konsole)

kconfig_add_kcfg_files(konsoleprivate_SRCS settings/KonsoleSettings.kcfgc)

set(konsole_LIBS
                 KF5::XmlGui
                 Qt5::PrintSupport
                 Qt5::Xml
                 KF5::Notifications
                 KF5::WindowSystem
                 KF5::TextWidgets
                 KF5::GuiAddons
                 KF5::IconThemes
                 KF5::Bookmarks
                 KF5::I18n
                 KF5::Pty
                 KF5::KIOWidgets
                 KF5::DBusAddons
                 KF5::GlobalAccel
                 KF5::NewStuff
)

if(${CMAKE_SYSTEM_NAME} MATCHES "FreeBSD")
    #kinfo_getfile() is in libutil
    list(APPEND konsole_LIBS util)
endif()

### Konsole Application

ki18n_wrap_ui(konsoleprivate_SRCS ColorSchemeEditor.ui
                                CopyInputDialog.ui
                                EditProfileDialog.ui
                                KeyBindingEditor.ui
                                RenameTabDialog.ui
                                RenameTabWidget.ui
                                HistorySizeDialog.ui
                                HistorySizeWidget.ui
                                PrintOptions.ui
                                settings/FileLocationSettings.ui
                                settings/GeneralSettings.ui
                                settings/PartInfo.ui
                                settings/ProfileSettings.ui
                                settings/TabBarSettings.ui)

# add the resource files for the ui files
qt5_add_resources( konsoleprivate_SRCS ../desktop/konsole.qrc)

add_library(konsoleprivate ${konsoleprivate_SRCS})
generate_export_header(konsoleprivate BASE_NAME konsoleprivate)
target_link_libraries(konsoleprivate PUBLIC ${konsole_LIBS})

set_target_properties(konsoleprivate PROPERTIES
    VERSION ${KONSOLEPRIVATE_VERSION_STRING}
    SOVERSION ${KONSOLEPRIVATE_SOVERSION}
)

install(TARGETS konsoleprivate ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} LIBRARY NAMELINK_SKIP)

set(konsole_KDEINIT_SRCS
   Application.cpp
   MainWindow.cpp
   main.cpp
   settings/FileLocationSettings.cpp
   settings/GeneralSettings.cpp
   settings/ProfileSettings.cpp
   settings/TabBarSettings.cpp)

kconfig_add_kcfg_files(konsole_KDEINIT_SRCS settings/KonsoleSettings.kcfgc)

# Sets the icon on Windows and OSX
file(GLOB ICONS_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/../data/icons/*.png")
ecm_add_app_icon(kdeinit_konsole ICONS ${ICONS_SRCS})

kf5_add_kdeinit_executable(konsole ${konsole_KDEINIT_SRCS})
target_link_libraries(kdeinit_konsole konsoleprivate KF5::XmlGui KF5::WindowSystem KF5::Bookmarks
  KF5::I18n
  KF5::KIOWidgets
  KF5::NotifyConfig
  KF5::Crash
)

if(APPLE)
    set_target_properties(konsole PROPERTIES
        MACOSX_BUNDLE_GUI_IDENTIFIER "org.kde.konsole"
        MACOSX_BUNDLE_BUNDLE_NAME "Konsole"
        MACOSX_BUNDLE_DISPLAY_NAME "Konsole"
        MACOSX_BUNDLE_INFO_STRING "Konsole, the KDE terminal emulator"
        MACOSX_BUNDLE_LONG_VERSION_STRING "Konsole ${KDE_APPLICATIONS_VERSION}"
        MACOSX_BUNDLE_SHORT_VERSION_STRING "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}"
        MACOSX_BUNDLE_BUNDLE_VERSION "${KDE_APPLICATIONS_VERSION}"
        MACOSX_BUNDLE_COPYRIGHT "1997-2016 The Konsole Developers")
endif()

install(TARGETS kdeinit_konsole konsole
       ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

### Embedded Konsole KPart

set(konsolepart_PART_SRCS Part.cpp
    settings/PartInfo.cpp
    settings/ProfileSettings.cpp)
kconfig_add_kcfg_files(konsolepart_PART_SRCS settings/KonsoleSettings.kcfgc)
add_library(konsolepart MODULE ${konsolepart_PART_SRCS})
generate_export_header(konsolepart BASE_NAME konsole)
kcoreaddons_desktop_to_json(konsolepart ../desktop/konsolepart.desktop)
set_target_properties(konsolepart PROPERTIES DEFINE_SYMBOL KONSOLE_PART)
target_link_libraries(konsolepart KF5::Parts KF5::XmlGui konsoleprivate)
install(TARGETS konsolepart  DESTINATION ${KDE_INSTALL_PLUGINDIR})

### konsoleprofile command-line tool
install(PROGRAMS konsoleprofile DESTINATION ${KDE_INSTALL_BINDIR})

=== debian/changelog ===
konsole (4:18.04.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the patches:
    - Add-support-for-ECMA-48-REP-repeating-previous-character.patch: drop,
      backported from upstream
  * Add the newly required libkf5globalaccel-dev, and libkf5newstuff-dev build
    dependencies.

 -- Pino Toscano <pino@debian.org>  Sun, 22 Apr 2018 09:15:34 +0200

=== debian/control ===
Source: konsole
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 11),
               extra-cmake-modules (>= 1.6.0~),
               kinit-dev (>= 5.6.0~),
               libkf5bookmarks-dev (>= 5.6.0~),
               libkf5completion-dev (>= 5.6.0~),
               libkf5config-dev (>= 5.6.0~),
               libkf5configwidgets-dev (>= 5.6.0~),
               libkf5coreaddons-dev (>= 5.18.0~),
               libkf5crash-dev (>= 5.6.0~),
               libkf5dbusaddons-dev (>= 5.6.0~),
               libkf5doctools-dev (>= 5.6.0~),
               libkf5globalaccel-dev (>= 5.6.0~),
               libkf5guiaddons-dev (>= 5.6.0~),
               libkf5i18n-dev (>= 5.18.0~),
               libkf5iconthemes-dev (>= 5.6.0~),
               libkf5kio-dev (>= 5.6.0~),
               libkf5newstuff-dev (>= 5.6.0~),
               libkf5notifications-dev (>= 5.6.0~),
               libkf5notifyconfig-dev (>= 5.6.0~),
               libkf5parts-dev (>= 5.6.0~),
               libkf5pty-dev (>= 5.6.0~),
               libkf5service-dev (>= 5.6.0~),
               libkf5textwidgets-dev (>= 5.6.0~),
               libkf5widgetsaddons-dev (>= 5.6.0~),
               libkf5windowsystem-dev (>= 5.6.0~),
               libkf5xmlgui-dev (>= 5.6.0~),
               libx11-dev,
               pkg-kde-tools (>= 0.15.16~),
               qtbase5-dev (>= 5.4.0~),
Standards-Version: 4.1.4
Homepage: http://www.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/konsole
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/konsole.git

Package: konsole
Architecture: any
Depends: konsole-kpart (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Provides: x-terminal-emulator
Description: X terminal emulator
 Konsole is a terminal emulator built on the KDE Platform. It can contain
 multiple terminal sessions inside one window using detachable tabs.
 .
 Konsole supports powerful terminal features, such as customizable schemes,
 saved sessions, and output monitoring.

Package: konsole-kpart
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: konsole (<< 4:17.08.3~)
Replaces: konsole (<< 4:17.08.3~)
Description: Konsole plugin for Qt applications
 Konsole is a terminal emulator built on the KDE Platform. It can contain
 multiple terminal sessions inside one window using detachable tabs.
 .
 Konsole supports powerful terminal features, such as customizable schemes,
 saved sessions, and output monitoring.
 .
 This package provides the kpart needed by other appss to embedd konsole in
 them.

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus,
         kinit, plasma-framework, libgl1-mesa-dri
Restrictions: build-needed, allow-stderr

## konsole 18.04.3

=== debian/changelog ===
konsole (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  * Install knewstuff rc file
  * New upstream release (18.03.80)
  * Drop upstream applied patch
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 Aug 2018 09:19:50 +0100

konsole (4:17.12.3-1ubuntu2) cosmic; urgency=medium

  * Ignore tests on !x86 until next major apps version can be uploaded.

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 30 Jul 2018 14:54:50 +0100

## konsole 18.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,12 +2,13 @@
 
 # KDE Application Version, managed by release script
 set (KDE_APPLICATIONS_VERSION_MAJOR "18")
-set (KDE_APPLICATIONS_VERSION_MINOR "04")
-set (KDE_APPLICATIONS_VERSION_MICRO "0")
+set (KDE_APPLICATIONS_VERSION_MINOR "12")
+set (KDE_APPLICATIONS_VERSION_MICRO "3")
 set (KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
 
 # minimal requirements
 cmake_minimum_required (VERSION 3.0 FATAL_ERROR)
+# Consider changing to Qt 5.9 when Qt 5.6 hits EOL Mar 2019
 set (QT_MIN_VERSION "5.6.0")
 set (KF5_MIN_VERSION "5.6.0")
 
@@ -64,7 +65,6 @@
 add_definitions(
   -DQT_STRICT_ITERATORS
   -DQT_NO_URL_CAST_FROM_STRING
-  -DQT_USE_FAST_CONCATENATION
   -Wno-deprecated-declarations
 )
 
@@ -81,10 +81,9 @@
     add_subdirectory( doc/manual )
 endif()
 
-### -DKONSOLE_BUILD_FONTEMBEDDER=TRUE or -DKONSOLE_GENERATE_LINEFONT=TRUE
-if(KONSOLE_BUILD_FONTEMBEDDER OR KONSOLE_GENERATE_LINEFONT)
-    add_subdirectory( tools )
-endif()
+add_subdirectory( tools )
+
+install( FILES konsole.categories DESTINATION ${KDE_INSTALL_CONFDIR} )
 
 feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
 ki18n_install(po)

=== debian/changelog ===
konsole (4:18.12.3-0ubuntu2) disco; urgency=medium

  * Add upstream patch to fix cursor rendering. KDE BUG: 402589.
    - d/patches: upstream_fix-ibeam-and-underline-cursor-rendering.diff

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 08 Mar 2019 15:07:11 +0000

konsole (4:18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 07 Mar 2019 13:31:19 +0000

konsole (4:18.12.2-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 17 Feb 2019 13:18:27 +0000

konsole (4:18.12.1-0ubuntu2) disco; urgency=medium

  * Cherry-pick upstream patches to update Breeze theme colours and set
    it as the default.
    - debian/patches: upstream_update-breeze-colour-scheme.patch
    - debian/patches: upstream_breeze-color-scheme-as-default.patch

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 14 Jan 2019 08:14:19 +0000

konsole (4:18.12.1-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 10 Jan 2019 14:12:44 +0000

konsole (4:18.12.0-0ubuntu1) disco; urgency=medium

  * Install debug categories file.
  * New upstream beta release (18.11.80)
  * New upstream release (18.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 05 Jan 2019 16:50:56 +0000

konsole (4:18.08.3-0ubuntu2) disco; urgency=medium

  * Merge Debian changes. Remaining changes:
    - d/rules: l10npkgs_firstversion_ok := 4:17.03.90-0~
    - Update install files for 18.08.
    - d/tests: Keep our setup.
    - d/meta/cmake-ignore: cmake-ignore to keep Kubuntu CI happy.
    - Bumper build deps.
    - Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 30 Dec 2018 19:41:35 +0000

konsole (4:18.08.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 08 Dec 2018 06:54:43 +0000

=== debian/control ===
Source: konsole
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.31.0~),
               kinit-dev (>= 5.31.0~),
               libkf5bookmarks-dev (>= 5.31.0~),
               libkf5completion-dev (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5configwidgets-dev (>= 5.31.0~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5crash-dev (>= 5.31.0~),
               libkf5dbusaddons-dev (>= 5.31.0~),
               libkf5doctools-dev (>= 5.31.0~),
               libkf5globalaccel-dev (>= 5.31.0~),
               libkf5guiaddons-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5newstuff-dev (>= 5.31.0~),
               libkf5notifications-dev (>= 5.31.0~),
               libkf5notifyconfig-dev (>= 5.31.0~),
               libkf5parts-dev (>= 5.31.0~),
               libkf5pty-dev (>= 5.31.0~),
               libkf5service-dev (>= 5.31.0~),
               libkf5textwidgets-dev (>= 5.31.0~),
               libkf5widgetsaddons-dev (>= 5.31.0~),
               libkf5windowsystem-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               libx11-dev,
               pkg-kde-tools (>= 0.15.16~),
               qtbase5-dev (>= 5.6.1~),
Standards-Version: 4.1.4
Homepage: http://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/konsole
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/konsole

Package: konsole
Architecture: any
Depends: konsole-kpart (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Provides: x-terminal-emulator
Description: X terminal emulator
 Konsole is a terminal emulator built on the KDE Platform. It can contain
 multiple terminal sessions inside one window using detachable tabs.
 .
 Konsole supports powerful terminal features, such as customizable schemes,
 saved sessions, and output monitoring.

Package: konsole-kpart
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: konsole (<< 4:17.12.3-1~)
Replaces: konsole (<< 4:17.12.3-1~)
Description: Konsole plugin for Qt applications
 Konsole is a terminal emulator built on the KDE Platform. It can contain
 multiple terminal sessions inside one window using detachable tabs.
 .
 Konsole supports powerful terminal features, such as customizable schemes,
 saved sessions, and output monitoring.
 .
 This package provides the kpart needed by other appss to embedd konsole in
 them.

## konsole 19.04.3

=== debian/changelog ===
konsole (4:19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 11 Jul 2019 14:16:57 +0100

konsole (4:19.04.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 08 Jun 2019 15:09:53 +0100

konsole (4:19.04.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.1)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 12 May 2019 21:00:40 +0100

konsole (4:19.04.0-0ubuntu1) eoan; urgency=medium

  * Drop upstream applied breeze theme patches.
  * New upstream release (19.04.0)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 25 Apr 2019 18:30:00 +0100

konsole (4:18.12.3-0ubuntu3) UNRELEASED; urgency=medium

  * Drop included upstream_fix-ibeam-and-underline-cursor-rendering.diff

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 08 Mar 2019 15:09:11 +0000

## konsole 19.08.1

=== debian/changelog ===
konsole (4:19.08.1-2) unstable; urgency=medium

  * New revision
  * Depend on the newer ecm
  * Move qdebug files
  * Also knewstuff moves the KNSRC file location
  * Move knsrc file
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 20 Sep 2019 16:31:02 -0700

konsole (4:19.08.1-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * Avoid build-path tests
  * New upstream release (19.08.1).
  * Drop upstream applied patch
  * Release to unstable

  [ Jiří Paleček ]
  * Fix the fallback code used when restoring session fails (Closes: 935031)
  * Restore sessions from konsole before 19.08

 -- Maximiliano Curia <maxy@debian.org>  Tue, 17 Sep 2019 15:35:17 +0200

konsole (4:19.08.0-1) unstable; urgency=medium

  [ Pino Toscano ]
  * Suggest lrzsz, given that konsole has support for zmodem commands.
    (Closes: #903947)

  [ Aurélien COUDERC ]
  * Also ship /etc/xdg/konsole.knsrc so that the new stuff functionality
    actually works. (Closes: #930316)

  [ Maximiliano Curia ]
  * New upstream release (19.08.0).
  * Update build-deps and deps with the info from cmake
  * Add a debian/salsa-ci.yml file
  * Update install files
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 16 Aug 2019 14:35:38 -0300

=== debian/control ===
Source: konsole
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.59.0~),
               kinit-dev (>= 5.6.0~),
               libkf5bookmarks-dev (>= 5.6.0~),
               libkf5completion-dev (>= 5.6.0~),
               libkf5config-dev (>= 5.6.0~),
               libkf5configwidgets-dev (>= 5.6.0~),
               libkf5coreaddons-dev (>= 5.18.0~),
               libkf5crash-dev (>= 5.6.0~),
               libkf5dbusaddons-dev (>= 5.6.0~),
               libkf5doctools-dev (>= 5.6.0~),
               libkf5globalaccel-dev (>= 5.6.0~),
               libkf5guiaddons-dev (>= 5.6.0~),
               libkf5i18n-dev (>= 5.18.0~),
               libkf5iconthemes-dev (>= 5.6.0~),
               libkf5kio-dev (>= 5.6.0~),
               libkf5newstuff-dev (>= 5.59.0~),
               libkf5notifications-dev (>= 5.6.0~),
               libkf5notifyconfig-dev (>= 5.6.0~),
               libkf5parts-dev (>= 5.6.0~),
               libkf5pty-dev (>= 5.6.0~),
               libkf5service-dev (>= 5.6.0~),
               libkf5textwidgets-dev (>= 5.6.0~),
               libkf5widgetsaddons-dev (>= 5.6.0~),
               libkf5windowsystem-dev (>= 5.6.0~),
               libkf5xmlgui-dev (>= 5.6.0~),
               libx11-dev,
               pkg-kde-tools (>= 0.15.16~),
               qtbase5-dev (>= 5.9.0~),
Standards-Version: 4.1.4
Homepage: http://www.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/konsole
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/konsole.git

Package: konsole
Architecture: any
Depends: konsole-kpart (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Suggests: lrzsz
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Provides: x-terminal-emulator
Description: X terminal emulator
 Konsole is a terminal emulator built on the KDE Platform. It can contain
 multiple terminal sessions inside one window using detachable tabs.
 .
 Konsole supports powerful terminal features, such as customizable schemes,
 saved sessions, and output monitoring.

Package: konsole-kpart
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: konsole (<< 4:17.08.3~)
Replaces: konsole (<< 4:17.08.3~)
Description: Konsole plugin for Qt applications
 Konsole is a terminal emulator built on the KDE Platform. It can contain
 multiple terminal sessions inside one window using detachable tabs.
 .
 Konsole supports powerful terminal features, such as customizable schemes,
 saved sessions, and output monitoring.
 .
 This package provides the kpart needed by other appss to embedd konsole in
 them.

=== debian/tests/control ===
Tests: testsuite
Depends: build-essential,
         dbus,
         kinit,
         libgl1-mesa-dri,
         plasma-framework,
         xauth,
         xvfb,
         @,
         @builddeps@,
Restrictions: build-needed, allow-stderr
